using System.ComponentModel.DataAnnotations;

namespace OpenWarehouse.auth.api.Data;

public class ApplicationUser : IdentityUser
{
    public ApplicationUser() : base()
    {
        
    }
    
    public ApplicationUser(string username) : base(username)
    {
        
    }
    
    [MinLength(2), MaxLength(3)]
    public string? DialCode { get; set; }
    
    public List<ApplicationUserTokenRepository> UserToken { get; set; }
}